import java.io.*;
import java.util.Scanner;
import java.util.*;

public final class Area {

   private static final Scanner stdin =
      new Scanner (new BufferedInputStream (System.in));

   public static void main (final String[] args) {
      input: for (int ds=1; /**/; ds++) {
         final double x = stdin.nextDouble();
         final double y = stdin.nextDouble();
         final double z = stdin.nextDouble();
         final double w = stdin.nextDouble();
         if (x==0.0 && y==0.0 && z==0.0 && w==0.0) break;
         System.out.format ("%.3f%n", Math.abs ((x-z)*(y-w)));
      }
   }
}

/*
 * Local Variables:
 * compile-command: "javac Area.java"
 * End:
 */
